Установка Metasploit Framework на CentOS 7

Всем добрый день! Постоянно приходится работать с подобными инструментами, поэтому, можно сказать, это шпаргалка “для себя”. Может и еще кому пригодится. О смысле статьи не пишу, мне ли рассказывать, что современные технологии движутся вперед с молниеносной скоростью, и документация изрядно часто теряет свою актуальность. Статья основана на этом руководстве, но некоторые моменты скорректированы, так как проверены лично мной и именно на “голой” CentOS 7 (мы будем использовать последнюю на сегодняшний день версию, без графического интерфейса: CentOS Linux release 7.1.1503 (Core), x86_64. Итак, поехали. По традиции, я всегда подключаю репозитарий Epel: Далее устанавливаем средства разработки Устанавливаем дополнительные пакеты (в качестве редактора я использую vim, хотя для большей простоты можно установить nano). Обращаю внимание, используем java-openjdk версии 1.7, хотя доступна версия 1.8. Теперь […]

Читать дальше